package de.intevation.flys.artifacts.model.sq;

import de.intevation.flys.artifacts.math.Function;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class SQFunction {

    private Function function;

    private double minQ;
    private double maxQ;


    public SQFunction(Function function, double minQ, double maxQ) {
        this.function = function;
        this.minQ     = minQ;
        this.maxQ     = maxQ;
    }


    public Function getFunction() {
        return function;
    }

    public double getMinQ() {
        return minQ;
    }

    public double getMaxQ() {
        return maxQ;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
